Page MenuHomePhabricator

Add maintenance script to clear user_email_authenticated
Closed, ResolvedPublic

Description

It would be nice to have a maintenance script that can be used to set the user_email_authenticated to NULL for accounts that are known to have bad email addresses. One common source of these is Wikitech accounts with @wikimedia.org addresses for former WMF staff.

Ideally the script would provide a message on the user's talk page or maybe an Echo notification when the script is run.

Event Timeline

bd808 created this task.Dec 1 2016, 9:56 PM
Legoktm added a subscriber: Legoktm.

I think this would fit in the scope of the BounceHandler extension.

Change 387161 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/extensions/BounceHandler@master] Add invalidateEmail maintenance script

https://gerrit.wikimedia.org/r/387161

Change 387161 merged by jenkins-bot:
[mediawiki/extensions/BounceHandler@master] Add invalidateEmail maintenance script

https://gerrit.wikimedia.org/r/387161

bd808 closed this task as Resolved.Nov 12 2017, 12:55 AM
bd808 claimed this task.
Restricted Application added a project: User-bd808. · View Herald TranscriptNov 12 2017, 12:55 AM
bd808 moved this task from To Do to Done on the User-bd808 board.Jul 15 2020, 9:17 PM